import request from "@/utils/request"

export function getBaseData() {
    return request({
        url: '/api/project/basedata',
        method: 'get',
    })
}
// real-name

export function getRealNameStatus() {
    return request({
        url: '/api/personel/basedata',
        method: 'get',
    })
}
export function getInOutData() {
    return request({
        url: '/api/personel/latestweek/workinout',
        method: 'get',
    })
}

export function getCurrentAttendance() {
    return request({
        url: '/api/personel/attendance',
        method: 'get',
    })
}
export function getPersonAreaStatus() {
    return request({
        url: '/api/personel/area',
        method: 'get',
    })
}
export function getLastWeekAttendance() {
    return request({
        url: '/api/personel/latestweek/attendance',
        method: 'get',
    })
}

export function getLastWeekWorkType() {
    return request({
        url: '/api/personel/latestweek/worktype/attendance',
        method: 'get',
    })
}

export function getWorkTypeList() {
    return request({
        url: '/api/personel/worktype/statis',
        method: 'get',
    })
}



// early-warning
export function getAIdata() {
    return request({
        url: '/api/aiwarning/basedata',
        method: 'get',
    })
}

export function getWarningList() {
    return request({
        url: '/api/aiwarning/list',
        method: 'get',
    })
}

export function getMonthWarningStatis() {
    return request({
        url: '/api/aiwarning/month/statis',
        method: 'get',
    })
}
